Package de.gebit.integrity.remoting.transport.messages

## Class BreakpointUpdateMessage

- java.lang.Object
- - de.gebit.integrity.remoting.transport.messages.AbstractMessage
  - - de.gebit.integrity.remoting.transport.messages.BreakpointUpdateMessage

- All Implemented Interfaces:
    `Serializable`

      public class BreakpointUpdateMessage
      extends AbstractMessage

  This message is sent when breakpoints shall be created or removed. It is used both as notification about breakpoint changes (server -> client) as well as requests (client -> server).
  Author:
    Rene Schneider - initial API and implementation
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `BreakpointUpdateMessage()` | The no-arg constructor, primarily used for serialization.
    `BreakpointUpdateMessage​(BreakpointActions anAction, Integer anEntryReference)` | Creates a new message instance.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `BreakpointActions` | `getAction()` |
    `Integer` | `getEntryReference()` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### BreakpointUpdateMessage

          public BreakpointUpdateMessage​(BreakpointActions anAction,
                                         Integer anEntryReference)

      Creates a new message instance.
      Parameters:
        `anAction` - the action to perform
        `anEntryReference` - the entry reference on which to perform the action

    - #### BreakpointUpdateMessage

          public BreakpointUpdateMessage()

      The no-arg constructor, primarily used for serialization.

  - ### Method Detail

    - #### getAction

          public BreakpointActions getAction()

    - #### getEntryReference

          public Integer getEntryReference()